Name: krpm
Summary: A KDE frontend for RPM
Version: 0.98
Release: 4
Source: ftp.kde.org:/pub/kde/contrib/admin/krpm-0.98.03.tgz
Patch: krpm-0.98.03-misc.patch
Group: X11/KDE
Copyright: GPL
BuildRoot: /tmp/kdebuild
Requires: qt >= 1.31, libgr, kdelibs = Beta1
Distribution: KDE
Packager: J"org Lehrke <jlehrke@ecrc.de>
Vendor: The KDE team
Prefix: /opt

%description
This packages contains a KDE frontend for RPM, the
Red Hat Package Manager.

%prep
%setup -c
%patch -p1

%build
export KDEDIR=/opt/kde

rm -rf $RPM_BUILD_ROOT

cd krpm-0.98.03
./configure
make 
cd ..

%install
export KDEDIR=/opt/kde

cd krpm-0.98.03
make prefix=$RPM_BUILD_ROOT$KDEDIR install
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%docdir /opt/kde/share/doc
/opt/kde/bin/krpm
/opt/kde/share/icons/krpm.xpm
/opt/kde/share/icons/rpmfile.xpm
/opt/kde/share/apps/krpm
/opt/kde/share/doc/HTML/en/krpm/guide.html
/opt/kde/share/doc/HTML/en/krpm/index.html
/opt/kde/share/doc/HTML/en/krpm/initial.html
/opt/kde/share/doc/HTML/en/krpm/krpmdoc.jpg
/opt/kde/share/doc/HTML/en/krpm/oldkrpm.jpg
/opt/kde/share/applnk/System/krpm.kdelnk
/opt/kde/share/mimelnk/application/packages.kdelnk
